#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#include "EntityStateSplash.h"
#define CS_ENEMY_PIRANHA_CREATENAME L"CS_enemy_piranha"
//µÐÈËÊ³ÈËÓã
class CS_Enemy_Piranha :
    public ActionEntity
{
public:
    CS_Enemy_Piranha();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    EntityStateGravity stateGravity;
    EntityStateSplash stateSplash;
    int stateID = 0;
    int flash_counter = 0;
    int face = 0;
};

std::shared_ptr<Entity> CreateCS_Enemy_Piranha();